com.io7m.jcanephora.cursors

## Class JCGLRG16IByteBuffered

- java.lang.Object
- - com.io7m.jcanephora.cursors.JCGLRG16IByteBuffered

- All Implemented Interfaces:
    JCGLRG16IReadableType, JCGLRG16IType, JCGLRG16IWritableType, com.io7m.jpra.runtime.java.JPRAValueType

      public final class JCGLRG16IByteBuffered
      extends Object
      implements JCGLRG16IType

  A `ByteBuffer` based implementation of the `JCGLRG16I` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getG()`
    `short` | `getR()`
    `int` | `metaGOffsetFromCursor()`
    `int` | `metaGOffsetFromType()`
    `static int` | `metaGStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerSigned` | `metaGType()`
    `int` | `metaROffsetFromCursor()`
    `int` | `metaROffsetFromType()`
    `static int` | `metaRStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerSigned` | `metaRType()`
    `static JCGLRG16IType` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static JCGLRG16IType` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `setG(short x)` Set the value of the `g` field
    `void` | `setR(short x)` Set the value of the `r` field
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static JCGLRG16IType newValueWithOffset(ByteBuffer in_buffer,
                                                         com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                         int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static JCGLRG16IType newValue(ByteBuffer in_buffer,
                                               com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaROffsetFromType

          public int metaROffsetFromType()

      Specified by:
        `metaROffsetFromType` in interface `JCGLRG16IReadableType`
      Returns:
        The offset in octets of the `r` field, from the start of the type

    - #### metaRStaticOffsetFromType

          public static int metaRStaticOffsetFromType()

      Returns:
        The offset in octets of field `r` from the start of the type

    - #### metaROffsetFromCursor

          public int metaROffsetFromCursor()

      Specified by:
        `metaROffsetFromCursor` in interface `JCGLRG16IReadableType`
      Returns:
        The offset in octets of the `r` field, from the cursor

    - #### metaRType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerSigned metaRType()

      Specified by:
        `metaRType` in interface `JCGLRG16IReadableType`
      Returns:
        The type of the `r` field

    - #### getR

          public short getR()

      Specified by:
        `getR` in interface `JCGLRG16IReadableType`
      Returns:
        The value of the `r` field

    - #### setR

          public void setR(short x)

      Description copied from interface: `JCGLRG16IWritableType`
      Set the value of the `r` field
      Specified by:
        `setR` in interface `JCGLRG16IWritableType`
      Parameters:
        `x` - The new value

    - #### metaGOffsetFromType

          public int metaGOffsetFromType()

      Specified by:
        `metaGOffsetFromType` in interface `JCGLRG16IReadableType`
      Returns:
        The offset in octets of the `g` field, from the start of the type

    - #### metaGStaticOffsetFromType

          public static int metaGStaticOffsetFromType()

      Returns:
        The offset in octets of field `g` from the start of the type

    - #### metaGOffsetFromCursor

          public int metaGOffsetFromCursor()

      Specified by:
        `metaGOffsetFromCursor` in interface `JCGLRG16IReadableType`
      Returns:
        The offset in octets of the `g` field, from the cursor

    - #### metaGType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerSigned metaGType()

      Specified by:
        `metaGType` in interface `JCGLRG16IReadableType`
      Returns:
        The type of the `g` field

    - #### getG

          public short getG()

      Specified by:
        `getG` in interface `JCGLRG16IReadableType`
      Returns:
        The value of the `g` field

    - #### setG

          public void setG(short x)

      Description copied from interface: `JCGLRG16IWritableType`
      Set the value of the `g` field
      Specified by:
        `setG` in interface `JCGLRG16IWritableType`
      Parameters:
        `x` - The new value

Copyright © 2017 <code@io7m.com> http://io7m.com